/**
 * @(#) LocalAction.java 19.07.01
 *
 * jfem - a java finite element system
 *
 * Copyright (C) 1999-2001 HS-MD
 * jfem.support@jfem.de
 * www.jfem.de
 *
 * For License information see License.txt
 */

package org.app.action;

import javax.swing.ImageIcon;
import java.awt.event.*;
import java.beans.*;
import org.debug.Debug;

/**
 * description:
 *
 * @version     1.0  19.07.01
 * @author      Thomas Schmidt, Michael Wilhelem
 */

public class LocalAction extends ActMvcAction {
    public LocalAction() {
        super();
    }

    public LocalAction(String name) {
        super(name);
    }

    public LocalAction(String name, ImageIcon Icon) {
        super(name, Icon);
    }

    public LocalAction(int cmd) {
        super();
        String name = org.app.action.ActionLibManager.getName(cmd);
        ImageIcon Icon = org.app.action.ActionLibManager.getIcon(cmd);
        //    putValue(Action.NAME,name);
        //    putValue(Action.SMALL_ICON,Icon);
    }

    /**
     * actionPerformed
     * @return none
     * @param ActionEvent e
     * @exception none
     * @version      1.0
     * @author Thomas Schmidt, Michael Wilhelm FH MD, FB Bauwesen
     * @use von von Java aufgerufen, über doAction wird der Owner aufgeruefn Example
     * @see #callbackActionLib
     * @see #OpenAction
     * @see #doAction
     */
    public void actionPerformed(ActionEvent e) {
        Debug.print("ACTION", Debug.INFO, "in library LocalAction   actionPerformed");
    };
}
